# Generated by Django 2.2.7 on 2020-01-23 11:30

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("seawatch_registration", "0020_merge_20200116_1253"),
    ]

    operations = [
        migrations.AddField(
            model_name="position",
            name="name_de",
            field=models.CharField(max_length=100, null=True, verbose_name="Name"),
        ),
        migrations.AddField(
            model_name="position",
            name="name_en_us",
            field=models.CharField(max_length=100, null=True, verbose_name="Name"),
        ),
        migrations.AlterField(
            model_name="answer",
            name="profile",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="seawatch_registration.Profile",
                verbose_name="Profile",
            ),
        ),
        migrations.AlterField(
            model_name="answer",
            name="question",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="seawatch_registration.Question",
                verbose_name="Question",
            ),
        ),
        migrations.AlterField(
            model_name="answer",
            name="text",
            field=models.TextField(verbose_name="Text"),
        ),
        migrations.AlterField(
            model_name="availability",
            name="comment",
            field=models.CharField(blank=True, max_length=255, verbose_name="Comment"),
        ),
        migrations.AlterField(
            model_name="availability",
            name="end_date",
            field=models.DateField(verbose_name="End date"),
        ),
        migrations.AlterField(
            model_name="availability",
            name="profile",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="seawatch_registration.Profile",
                verbose_name="Profile",
            ),
        ),
        migrations.AlterField(
            model_name="availability",
            name="start_date",
            field=models.DateField(verbose_name="Start date"),
        ),
        migrations.AlterField(
            model_name="document",
            name="document_type",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="seawatch_registration.DocumentType",
                verbose_name="Document type",
            ),
        ),
        migrations.AlterField(
            model_name="document",
            name="expiry_date",
            field=models.DateField(blank=True, null=True, verbose_name="Expiry date"),
        ),
        migrations.AlterField(
            model_name="document",
            name="file",
            field=models.FileField(upload_to="", verbose_name="File"),
        ),
        migrations.AlterField(
            model_name="document",
            name="issuing_authority",
            field=models.CharField(
                blank=True, max_length=100, verbose_name="Issuing authority"
            ),
        ),
        migrations.AlterField(
            model_name="document",
            name="issuing_country",
            field=models.CharField(
                blank=True, max_length=100, verbose_name="Issuing country"
            ),
        ),
        migrations.AlterField(
            model_name="document",
            name="issuing_date",
            field=models.DateField(blank=True, null=True, verbose_name="Issuing date"),
        ),
        migrations.AlterField(
            model_name="document",
            name="issuing_place",
            field=models.CharField(
                blank=True, max_length=100, verbose_name="Issuing place"
            ),
        ),
        migrations.AlterField(
            model_name="document",
            name="number",
            field=models.CharField(blank=True, max_length=100, verbose_name="Number"),
        ),
        migrations.AlterField(
            model_name="document",
            name="profile",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="seawatch_registration.Profile",
                verbose_name="Profile",
            ),
        ),
        migrations.AlterField(
            model_name="documenttype",
            name="group",
            field=models.CharField(
                choices=[
                    ("ident", "identification documents and visa"),
                    ("nautic", "nautical qualification"),
                    ("engineer", "engineer qualification"),
                    ("seafarer", "seafarer qualification"),
                    ("other", "other qualification"),
                ],
                max_length=10,
                verbose_name="Category",
            ),
        ),
        migrations.AlterField(
            model_name="documenttype",
            name="name",
            field=models.CharField(max_length=100, verbose_name="Name"),
        ),
        migrations.AlterField(
            model_name="position",
            name="name",
            field=models.CharField(max_length=100, verbose_name="Name"),
        ),
        migrations.AlterField(
            model_name="profile",
            name="address",
            field=models.CharField(blank=True, max_length=200, verbose_name="Address"),
        ),
        migrations.AlterField(
            model_name="profile",
            name="approved_positions",
            field=models.ManyToManyField(
                blank=True,
                related_name="approved_profiles",
                to="seawatch_registration.Position",
                verbose_name="Approved Positions",
            ),
        ),
        migrations.AlterField(
            model_name="profile",
            name="citizenship",
            field=models.CharField(max_length=100, verbose_name="Citizenship"),
        ),
        migrations.AlterField(
            model_name="profile",
            name="comments",
            field=models.TextField(blank=True, verbose_name="Comments"),
        ),
        migrations.AlterField(
            model_name="profile",
            name="country_of_birth",
            field=models.CharField(max_length=100, verbose_name="Country of birth"),
        ),
        migrations.AlterField(
            model_name="profile",
            name="custom_skills",
            field=models.CharField(
                blank=True, max_length=500, verbose_name="Custom skills"
            ),
        ),
        migrations.AlterField(
            model_name="profile",
            name="date_of_birth",
            field=models.DateField(verbose_name="Date of birth"),
        ),
        migrations.AlterField(
            model_name="profile",
            name="emergency_contact",
            field=models.TextField(blank=True, verbose_name="Emergency contact"),
        ),
        migrations.AlterField(
            model_name="profile",
            name="gender",
            field=models.CharField(
                choices=[("f", "female"), ("m", "male"), ("d", "diverse")],
                max_length=1,
                verbose_name="Gender",
            ),
        ),
        migrations.AlterField(
            model_name="profile",
            name="needs_schengen_visa",
            field=models.BooleanField(verbose_name="Needs Schengen Visa"),
        ),
        migrations.AlterField(
            model_name="profile",
            name="phone",
            field=models.CharField(max_length=100, verbose_name="Phone"),
        ),
        migrations.AlterField(
            model_name="profile",
            name="place_of_birth",
            field=models.CharField(max_length=100, verbose_name="Place of birth"),
        ),
        migrations.AlterField(
            model_name="profile",
            name="requested_positions",
            field=models.ManyToManyField(
                related_name="requested_profiles",
                to="seawatch_registration.Position",
                verbose_name="Requested Positions",
            ),
        ),
        migrations.AlterField(
            model_name="profile",
            name="second_citizenship",
            field=models.CharField(
                blank=True, max_length=100, verbose_name="Second Citizenship"
            ),
        ),
        migrations.AlterField(
            model_name="profile",
            name="skills",
            field=models.ManyToManyField(
                to="seawatch_registration.Skill", verbose_name="Skills"
            ),
        ),
        migrations.AlterField(
            model_name="question",
            name="mandatory",
            field=models.BooleanField(verbose_name="Madatory"),
        ),
        migrations.AlterField(
            model_name="question",
            name="profiles",
            field=models.ManyToManyField(
                through="seawatch_registration.Answer",
                to="seawatch_registration.Profile",
                verbose_name="Profiles",
            ),
        ),
        migrations.AlterField(
            model_name="question",
            name="text",
            field=models.CharField(max_length=500, verbose_name="Text"),
        ),
        migrations.AlterField(
            model_name="skill",
            name="description",
            field=models.CharField(
                blank=True, max_length=500, verbose_name="Description"
            ),
        ),
        migrations.AlterField(
            model_name="skill",
            name="name",
            field=models.CharField(max_length=50, verbose_name="Name"),
        ),
    ]
